This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 10485 - strace-4.2 won't compile -- just a tupo..
strace-4.2 won't compile -- just a tupo..
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: strace (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-31 12:27 EST by Michael Tokarev
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-31 12:35:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
trivial #ifdef STAT64 => #ifdef HAVE_STAT64 (226 bytes, patch)
2000-03-31 12:30 EST, Michael Tokarev
no flags Details | Diff

  None (edit)
Description Michael Tokarev 2000-03-31 12:27:18 EST
In strace-4.2. It uses autoconf to determine if stat64() is available,
and checks this as #ifdef HAVE_STAT64 in all places except of one,
in file.c, where it is written as #ifdef STAT64.  This resulted in
bad compilation (unresolved symbol printstat64 on linking stage).
I'm very interested on -- how this was compiled on RedHat itself!?
Trivial patch attached.
Comment 1 Michael Tokarev 2000-03-31 12:30:59 EST
Created attachment 178 [details]
trivial #ifdef STAT64 => #ifdef HAVE_STAT64
Comment 2 Bill Nottingham 2000-03-31 12:35:59 EST
fixed in 4.2-3. Thanks!

Note You need to log in before you can comment on or make changes to this bug.